#include "CheckMenuItem.h"
#include "CheckOff.h"
#include "CheckOn.h"

CheckMenuItem::CheckMenuItem(const char *label, BMessage *message,
	char shortcut, uint32 modifiers)
	: BitmapMarkMenuItem(label, message, NULL, NULL, shortcut, modifiers)
{
	BBitmap *off = new BBitmap(BRect(0,0,kCheckOffWidth-1,kCheckOffHeight-1),
		kCheckOffColorSpace);
	off->SetBits(kCheckOffBits, kCheckOffWidth * kCheckOffHeight,
		0, kCheckOffColorSpace);
	SetBitmapOff(off);
		
	BBitmap *on = new BBitmap(BRect(0,0,kCheckOnWidth-1,kCheckOnHeight-1),
		kCheckOnColorSpace);
	on->SetBits(kCheckOnBits, kCheckOnWidth * kCheckOnHeight,
		0, kCheckOnColorSpace);
	SetBitmapOn(on);
}
