#include "RadioMenuItem.h"
#include "RadioOff.h"
#include "RadioOn.h"

RadioMenuItem::RadioMenuItem(const char *label, BMessage *message,
	char shortcut, uint32 modifiers)
	: BitmapMarkMenuItem(label, message, NULL, NULL, shortcut, modifiers)
{
	BBitmap *off = new BBitmap(BRect(0,0,kRadioOffWidth-1,kRadioOffHeight-1),
		kRadioOffColorSpace);
	off->SetBits(kRadioOffBits, kRadioOffWidth * kRadioOffHeight,
		0, kRadioOffColorSpace);
	SetBitmapOff(off);
		
	BBitmap *on = new BBitmap(BRect(0,0,kRadioOnWidth-1,kRadioOnHeight-1),
		kRadioOnColorSpace);
	on->SetBits(kRadioOnBits, kRadioOnWidth * kRadioOnHeight,
		0, kRadioOnColorSpace);
	SetBitmapOn(on);
}
