#ifndef BITMAP_MARK_MENU_ITEM
#define BITMAP_MARK_MENU_ITEM

#include <MenuItem.h>
#include <Bitmap.h>

class BitmapMarkMenuItem : public BMenuItem
{
public:
	BitmapMarkMenuItem(const char *label, BMessage *message,
		BBitmap *bitmapOn, BBitmap *bitmapOff = NULL,
		char shortcut = 0, uint32 modifiers = 0);
	~BitmapMarkMenuItem();
	void Draw();
	void SetBitmapOn(BBitmap *on);
	void SetBitmapOff(BBitmap *off);
private:
	BBitmap *fOn;
	BBitmap *fOff;
};


#endif //BITMAP_MARK_MENU_ITEM